System.Design 2.0.0.0 System.Web.UI.Design.DesignerObject

The class provides a base template definition class that can be inherited from and extended for a control designer to use in providing support for templated controls in a design host such as vsprvslong. A design host uses the properties and methods of the class to facilitate creating and editing a template at design time.

Provides properties and methods that define a template element in a Web server control at design time.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class, using the provided designer, template name, template, and property name.

  The parent object.
  The name of the template.
  The object that contains the template.
  The property name that represents this template in the Properties list in the design host.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class, using the provided designer, template name, template, property name, and whether to limit the template contents to Web server controls.

  The parent object.
  The name of the template.
  The object that contains the template.
  The property name that represents this template in the Properties list in the design host.
  A Boolean value indicating whether the template content should allow only Web server controls.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class, using the provided designer, template name, template, property name, and object.

  The parent object.
  The name of the template.
  The object that contains the template.
  The property name that represents this template in the Properties list in the design host.
  A object to apply to each template.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class, using the provided designer, template name, template, property name, object, and whether to limit content to Web server controls.

  The parent object.
  The name of the template.
  The object that contains the template.
  The property name that represents this template in the Properties list in the design host.
  A object to apply to each template.
  A Boolean value indicating whether the template should limit content to Web server controls.
- Property
  2.0.0.0
  System.Boolean To be added.

  To change the default, derived classes must override the property.

  Gets a value that indicates whether the template should enable editing of its contents.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets or sets the HTML markup representing the content of the template.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Retrieves a value indicating whether the template should limit content to Web server controls, as set in the constructor. This property is read-only.

- Property
  2.0.0.0
  System.Web.UI.WebControls.Style To be added.

  Although the property is read-only, the properties of the can be set.

  Retrieves the style that should be applied to the template as set in the constructor. This property is read-only.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Retrieves or sets a value indicating whether the template supports data binding.

- Property
  2.0.0.0
  System.Object To be added.

  Although this property is read-only, its properties can be set, and if is true, the content can be edited.

  Retrieves the component in which the template resides. This property is read-only.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Retrieves the property name for the template that the design host should display in the property grid.